<div class="limiter">
  <div class="container-login100" style="background-image: url('../../../../assets/images/reset-background.jpg');">
    <div class="wrap-login100">
      <form class="login100-form validate-form" (ngSubmit)="onSubmit()" #form="ngForm">
					<span class="login100-form-logo mb-5">
						O
					</span>

        <div class="wrap-input100 mt-2 mb-4">
          <input class="input100"
                 type="text"
                 name="username"
                 [(ngModel)]="username"
                 #usernamee="ngModel"
                 placeholder="Username"
                 required
                 [attr.aria-invalid]="usernamee.invalid && usernamee.touched ? true : null">
          <span class="focus-input100"><fa-icon class="reset" [icon]="faUser"></fa-icon></span>
        </div>

        <div class="wrap-input100 mb-4">
          <input class="input100"
                 type="password"
                 name="password"
                 [(ngModel)]="newPassword"
                 #password="ngModel"
                 required
                 placeholder="New password"
                 [attr.aria-invalid]="password.invalid && password.touched ? true : null">
          <span class="focus-input100"><fa-icon class="reset" [icon]="faLock"></fa-icon></span>
        </div>

        <div class="wrap-input100 mb-4">
          <input class="input100"
                 type="password"
                 name="confirm"
                 [(ngModel)]="confirmPassword"
                 #confirm="ngModel"
                 required
                 placeholder="Confirm password"
                 [attr.aria-invalid]="confirm.invalid && confirm.touched ? true : null">
          <span class="focus-input100"><fa-icon class="reset" [icon]="faLock"></fa-icon></span>
        </div>

        <div class="container-login100-form-btn">
          <div class="wrap-login100-form-btn">
            <button class="login100-form-btn"
                    [disabled]="!form.valid">
              Login
            </button>
          </div>
        </div>

        <div class="text-center pt-5">
          <a class="txt1" [routerLink]="'/auth/login'">
            Back to Login
          </a>
        </div>
      </form>
    </div>
  </div>
</div>
